<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.10 $
 * $Author: joergk $
 * $Date: 2007/12/28 21:22:13 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * fixes by Marco Andreas (MarcoA/eMmA) http://www.kirmestreffen.de
 */

defined('mxMainFileLoaded') or die('access denied');

global $prefix;
// / Configuration
$module_name = "Surveys";
$mxblockcache = false;
$blockfiletitle = _SURVEY;

if (!mxModuleAllowed($module_name)) {
    $mxblockcache = false;
    return;
}

if ($GLOBALS['multilingual'] == 1) {
    $thislang = (ereg("german", $GLOBALS["currentlang"])) ? "german" : $GLOBALS["currentlang"];
    $querylang = "WHERE (planguage LIKE '$thislang%' OR planguage = '') AND artid='0' AND pollactive=1";
} else {
    $querylang = "WHERE artid='0' AND pollactive=1";
}

$result = sql_query("SELECT pollID, pollTitle, voters FROM ${prefix}_poll_desc " . $querylang . " ORDER BY pollID DESC LIMIT 1");
list($pollID, $pollTitle, $voters) = sql_fetch_row($result);

if (empty($pollID)) {
    $mxblockcache = false;
    return;
}

if (MX_IS_USER) {
    $usersession = mxGetUserSession();
}
$linkadds = (isset($usersession[4]) && isset($usersession[5]) && isset($usersession[6])) ? "&amp;mode=$usersession[4]&amp;order=$usersession[5]&amp;thold=$usersession[6]" : "";
$url_result = sprintf("modules.php?name=$module_name&amp;op=results&amp;pollID=%d", $pollID);

$options = '';
$sum = 0;
$result = sql_query("SELECT optionText, optionCount, voteID FROM ${prefix}_poll_data WHERE (pollID=$pollID) AND (optionText<>'') ORDER BY voteID "); // " ORDER BY voteID " eingefgt von Marco Andreas
while (list($optionText, $optionCount, $voteID) = sql_fetch_row($result)) {
    $options .= "<tr valign=\"top\"><td><input type=\"radio\" name=\"voteID\" value=\"" . $voteID . "\" /></td><td width=\"100%\">" . $optionText . "</td></tr>\n";
    $sum = $sum + $optionCount;
}

$comments = '';
if ($GLOBALS['pollcomm']) {
    list($numcom) = sql_fetch_row(sql_query("select count(pollID) from ${prefix}_pollcomments where pollID=" . $pollID . ""));
    $comments = "\n" . _PCOMMENTS . " <b>" . mxValueToString($numcom, 0) . "</b><br />";
}

$content = '
<form action="modules.php?name=' . $module_name . '" method="post">
<input type="hidden" name="name" value="' . $module_name . '" />
<input type="hidden" name="pollID" value="' . $pollID . '" />
<input type="hidden" name="forwarder" value="' . $url_result . '" />
<b>' . $pollTitle . '</b><br /><br />
<table border="0" width="100%" cellpadding="1" cellspacing="0">
' . $options . '
<tr><td colspan="2" align="center"><input type="submit" value="' . _VOTE . '" /></td></tr>
</table><br /><div align="center">
<a href="' . $url_result . '' . $linkadds . '"><b>' . _RESULTS . '</b></a><br />
' . _VOTES . ': <b>' . mxValueToString($sum, 0) . '</b><br />' . $comments . '
<a href="modules.php?name=' . $module_name . '"><b>' . _POLLS . '</b></a>
</div>
</form>';

?>